# PServiceMacro Class Reference

`#include <httpsvc.h>`

Inheritance diagram for PServiceMacro:

List of all members.

## Public Member Functions

| PServiceMacro (const char *name, PBoolean isBlock)
| PServiceMacro (const PCaselessString &name, PBoolean isBlock)
Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank.
virtual PString | Translate (PHTTPRequest &request, const PString &args, const PString &block) const

## Protected Attributes

const char * | macroName
PBoolean | isMacroBlock
PServiceMacro * | link

## Static Protected Attributes

static PServiceMacro * | list

## Constructor & Destructor Documentation

PServiceMacro::PServiceMacro | ( | const char * | name,
|  | PBoolean | isBlock |
| ) |  |  |

PServiceMacro::PServiceMacro | ( | const PCaselessString & | name,
|  | PBoolean | isBlock |
| ) |  |  |

## Member Function Documentation

Comparison PServiceMacro::Compare | ( | const PObject & | obj | ) | const`[virtual]`

Compare the two objects and return their relative rank.

This function is usually overridden by descendent classes to yield the ranking according to the semantics of the object.

The default function is to use the `CompareObjectMemoryDirect()` function to do a byte wise memory comparison of the two objects.

Returns:
  `LessThan`, `EqualTo` or `GreaterThan` according to the relative rank of the objects.

Reimplemented from PObject.

virtual PString PServiceMacro::Translate | ( | PHTTPRequest & | request,
|  | const PString & | args,
|  | const PString & | block |
| ) |  |  | const`[virtual]`

## Member Data Documentation

PBoolean PServiceMacro::isMacroBlock `[protected]`

PServiceMacro* PServiceMacro::link `[protected]`

PServiceMacro* PServiceMacro::list `[static, protected]`

const char* PServiceMacro::macroName `[protected]`

The documentation for this class was generated from the following file:

- httpsvc.h